/*  shogiopening
 *  Copyright (C) 2000 Sverre Hvammen Johansen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>
#include "graph.h"
#include "ask.h"
#include "draw.h"

void
display_error(char *error_message)
{
#if 0  
  gtk_widget_show(gnome_message_box_new (error_message, 
					 GNOME_MESSAGE_BOX_ERROR, 
					 GNOME_STOCK_BUTTON_OK, NULL));
#else
  gnome_app_error(GNOME_APP(app1), error_message);
#endif
}

char ask_question(char *question)
{
  GtkWidget *dialog;
  dialog= gnome_message_box_new (question,
				 GNOME_MESSAGE_BOX_QUESTION,
				 GNOME_STOCK_BUTTON_YES,
				 GNOME_STOCK_BUTTON_NO,
				 NULL );
  gnome_dialog_set_parent(GNOME_DIALOG(dialog), GTK_WINDOW(app1));
  return (gnome_dialog_run_and_close (GNOME_DIALOG (dialog)) == 0);
}
